{
  description = "My system configuration";

  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs/nixpkgs-unstable";
    nixgl.url = "github:nix-community/nixGL";
    nixgl.inputs.nixpkgs.follows = "nixpkgs";
    home-manager = {
      url = "github:nix-community/home-manager";
      inputs.nixpkgs.follows = "nixpkgs";
    };
  };
  outputs =
    {
      nixpkgs,
      nixgl,
      home-manager,
      ...
    }:
    let
      system = "x86_64-linux";
      pkgs = import nixpkgs {
        inherit system;
        overlays = [ nixgl.overlay ];
      };
    in
    # pkgs = nixpkgs.legacyPackages.${system};
    {
      defaultPackage.${system} = home-manager.defaultPackage.${system};
      homeConfigurations."deck" = home-manager.lib.homeManagerConfiguration {
        inherit pkgs;

        extraSpecialArgs = { inherit nixgl; };

        modules = [
          ./home.nix
          { nixpkgs.overlays = [ nixgl.overlay ]; }
        ];
      };
    };

  nixConfig = {
    experimental-features = [
      "nix-command"
      "flakes"
    ];
  };
}
